/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Fonts */ 
@font-face { font-family: "im"; src: url("../assets/fonts/IMFellDWPicaSC-Regular.ttf"); }
@font-face { font-family: "ch"; src: url("../assets/fonts/Chlora.ttf"); }

body {
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    margin: 0;
    min-height: 100vh;
    height: 100%;
}

.container {
    min-height: 100vh;
    height: auto;
    background-color: rgba(0, 0, 0, 0.86);
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 85%;
    margin: 0 auto;
}

.title {
    margin-top: 60px;
    font-family: "im";
    font-size: 88px;
}

#typeSelect,
#countSelect {
    font-family: "ch";
    font-size: 30px;
    font-weight: bold;
    margin: 26px 24px;
    padding: 12px 16px;
    background-color: rgb(248, 248, 248);
}

.gen-row {
    display: flex;
    align-items: center;
    gap: 36px; /* Might have to make this character specific */
}

#genBtn {
    font-family: "im";
    font-size: 35px;
    font-weight: bold;
    padding: 10px 12px;
    border: 3px solid;
    margin-top: 18px;
    margin-left: 8px;
    margin-top: 18px;
    margin-left: 8px;
    cursor: pointer;
    border-radius: 6px;
    transition: background-color 0.25s ease,
                transform 0.25s ease;
}

#genBtn:hover {
    transform: scale(1.1);
    background-color: black;
}

.copy-icon {
    width: 34px;
    height: 34px;
    margin-top: 15px;
    transition: transform 0.2s ease;
}

.copy-icon:hover {
    transform: scale(1.1);
}

.copy-wrapper {
    position: relative;
    display: inline-flex;
    align-items: center;
    cursor: pointer;
}

.copy-tooltip {
    position: absolute;
    top: -30px;
    right: 0;
    background: rgba(242, 242, 242, 0.942);
    color: black;
    padding: 4px 8px;
    font-size: 12px;
    border-radius: 4px;
    opacity: 0;
    pointer-events: none;
    transform: translateY(5px);
    transition: opacity 0.25 ease, transform 0.25s ease;
}

/* Hover tooltip */
.copy-wrapper:hover .copy-hover {
    opacity: 1;
    transform: translateY(0);
}

/* Hide hover tooltip when click tooltip is active */
.copy-wrapper.show-tooltip .copy-hover {
    opacity: 0;
}

/* Click tooltip */
.copy-wrapper.show-tooltip .copy-done {
    opacity: 1;
    transform: translateY(0);
}

.outputBox {
    width: 90%;
    margin: 50px 0px;
    background-color: rgba(0, 0, 0, 0.962);
    border-radius: 4px;
}

#output {
    font-family: "ch";
    font-size: 27px;
    color: rgb(237, 237, 237);
    text-shadow: 0px 0px 15px black;
    padding: 16px 24px;
}

#output p {
    margin: 20px 8px;
}

/* Responsive */
@media (max-width: 600px) {
    .title {
        padding: 0px 10px;
        font-size: 66px;
        line-height: 1;
        margin-top: 50px;
        margin-bottom: 10px;
    }

    #typeSelect,
    #countSelect {
        font-size: 25px;
        margin: 16px 10px;
        padding: 10px;
    }

    #genBtn {
        font-size: 28px;
    }
    
    .gen-row {
        gap: 30px;
        margin: 0px 10px;
    }
    .copy-icon {
        width: 30px;
        height: 30px;
    }

    #output {
        font-size: 24px;
        line-height: 1.3;
    }

    #output p {
        margin: 25px 10px;
    }
}

@media (min-width: 601px) and (max-width: 1100px) {
    .title {
        font-size: 84px;
        padding: 10px;
    }

    #typeSelect,
    #countSelect {
        font-size: 28px;
        padding: 10px;
        margin: 20px 28px;
    }

    #genBtn {
        font-size: 33px;
    }

    .copy-icon {
        width: 32px;
        height: 32px;
    }

    #output {
        font-size: 25px;
        line-height: 1.2;
        margin: 0px;
    }

    #output p {
        margin: 14px 10px;
        padding-bottom: 20px;
    }
}